Create a list of primary contributors to a page
Closed, ResolvedPublic

Description

Author: titoxd.wikimedia

Description:
As discussed on [[MediaWiki talk:Cite text]], it would be very helpful if we
could obtain a list of primary contributors to a given page.

Previously, this was done using a query on the toolserver:
(http://tools.wikimedia.de/~tim/cgi-bin/contribution-counter?page={{PAGENAMEE}}&namespace={{NAMESPACEE}}&dbname=enwiki_p)
however, as you all know, the enwiki database in the toolserver is dead, so we
cannot use that any longer. The source code of the tool is here:
([http://tools.wikimedia.de/~tim/cgi-bin/contribution-counter?source=on)

We have seen other tools spring up to solve this, such as
http://vs.aka-online.de/wppagehiststat/. However, these are much more expensive
than a direct SQL query, which would be extremely helpful for the English
Wikipedia and other MediaWiki users in general. This information is also
necessary for some citation formats, and useful for mirrors for GFDL compliance.


Version: 1.8.x
Severity: enhancement
URL: http://en.wikipedia.org/wiki/MediaWiki_talk:Cite_text/Archive_1#Primary_Contributors

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz7988.
bzimport created this task.Via LegacyNov 19 2006, 11:21 PM
bzimport added a comment.Via ConduitNov 19 2006, 11:25 PM

robchur wrote:

I could swear blind there's a Page class method that does this. I could further
swear blind that it's available as an option to be switched on in MediaWiki. I
suspect, however, it might be considered too expensive, although we could store
it in the cached ParserOutput in some fashion, perhaps.

bzimport added a comment.Via ConduitNov 19 2006, 11:32 PM

robchur wrote:

(In reply to comment #1)
That deviated a bit. We could do it in quite a simple fashion as a special page
which would allow such queries, but that might get abused. I think it would be
neater if it was provided on the page view itself. Then again, Wikipedians might
complain about feeling undervalued if their names didn't appear on the "credit
reel", as it were. Swings and roundabouts.

bzimport added a comment.Via ConduitNov 19 2006, 11:36 PM

titoxd.wikimedia wrote:

So, perhaps something like the second tool I linked above, which basically is a
special page with cached results? Then making a link to this page, similar to
"Show logs for this page" on the history view? That would reduce the number of
queries slightly.

bzimport added a comment.Via ConduitNov 19 2006, 11:38 PM

robchur wrote:

We could adopt a model similar to existing query pages, which use a
periodically-regenerated cache. Another approach might be to cache on demand in
a table somewhere, this being "purged" when the page is touched.

bzimport added a comment.Via ConduitNov 19 2006, 11:43 PM

titoxd.wikimedia wrote:

(In reply to comment #4)
Probably the second method would be more efficient, as having to update yet
another index would probably be excessive for all pages would probably be as
expensive as regenerating them manually.

bzimport added a comment.Via ConduitNov 19 2006, 11:44 PM

titoxd.wikimedia wrote:

(In reply to comment #5)
s/"regenerating them manually"/"generating them from an external, off-wiki
query"... mental screw-up.

bzimport added a comment.Via ConduitNov 20 2006, 12:31 AM

robchur wrote:

I like the second method better, too; we're talking about a GROUP BY which is
applied to all pages if we do a massive caching event; this tool would be used
on, realistically, a low proportion of pages. Prematurely caching information
about a page that might never be required is totally pointless and a waste of
processing time.

bzimport added a comment.Via ConduitDec 23 2006, 1:43 AM

robchur wrote:

I've written and checked-in the Contributors extension, which adds an includable
special page. It could do with a little optimisation work, though; despite
effective result set caching, the initial SQL is still quite expensive.

bzimport added a comment.Via ConduitDec 29 2006, 11:37 PM

titoxd.wikimedia wrote:

Awesome. It works great. Who do I have to bribe to enable it on Wikimedia wikis? :)

bzimport added a comment.Via ConduitDec 29 2006, 11:40 PM

robchur wrote:

The usual suspects, although I wouldn't mind some further optimisations, as I
said above.

bzimport added a comment.Via ConduitMar 23 2007, 1:25 AM

brian wrote:

(In reply to comment #0)

As discussed on [[MediaWiki talk:Cite text]], it would be very helpful if wecould obtain a list of primary

contributors to a given page.

[snip]

I can't find anywhere on that page nor here any hint of a definition of "primary contributors". It also seems pretty
meaningless when "Anonymous" keeps appearing at the top of the list.

bzimport added a comment.Via ConduitMar 24 2007, 7:27 AM

titoxd.wikimedia wrote:

(In reply to comment #11)

I can't find anywhere on that page nor here any hint of a definition of "primary contributors". It also seems

pretty meaningless when "Anonymous" keeps appearing at the top of the list.

By primary contributors we mean the editors with most edits to the page. As for "anonymous", it can be filtered out,
but whether that is a good idea or not is a completely different beast.

bzimport added a comment.Via ConduitSep 17 2007, 8:21 PM

le.korrigan wrote:

Hello. Is there anything which prevents the Contributors extension on Wikimedia wikis? Or is just too expensive for the servers? This feature would be very useful to help properly reusing the GFDL content. Thanks.

MarkAHershberger added a comment.Via ConduitMay 21 2011, 12:30 PM

http://wikidashboard.appspot.com/ appears to do this for all sorts of pages and give more fine grained info than just "these are the top contributors" but also *when* they contributed.

I'm thinking this WORKSFORME. Any objections to closing it that way?

Peachey88 added a comment.Via ConduitMay 21 2011, 12:35 PM

(In reply to comment #14)

I'm thinking this WORKSFORME. Any objections to closing it that way?

Apart from it being a third party tool.

we actually have two ways to do this in core apparently ?action=credits and =info, although they are both disabled on the cluster and I think also in the default packages

MarkAHershberger added a comment.Via ConduitMay 23 2011, 2:55 AM

It works on translatewiki.net: http://translatewiki.net/wiki/Project:News?action=credits

Since this is a request for a feature that now exists (in fact, existed maybe 2+ years before the bug was opened: http://svn.wikimedia.org/viewvc/mediawiki/trunk/?pathrev=4187), I'm closing this RESOLVED. If you want this enabled on the cluster, that is a different bug. Please open one if that is what you want.

If you want the Contributors extension deployed on the cluster, please see http://www.mediawiki.org/wiki/Writing_an_extension_for_deployment for the steps needed to move it along there. You may need to open a new bug to get the extension reviewed.

Add Comment